contract
Get all contract subscriptions
Get all contract subscriptions
GET
/
v0
/
contract-subscriptions
Get all contract subscriptions
curl --request GET \
--url https://{hostname}.gable.ai/v0/contract-subscriptions \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{hostname}.gable.ai/v0/contract-subscriptions"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{hostname}.gable.ai/v0/contract-subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dataContractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"githubHandle": "<string>",
"slackChannel": "<string>"
}
]{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}Authorizations
Query Parameters
Filter subscriptions by contract
Response
List of subscriptions for the contract
The unique identifier of the subscription
Unique identifier of the contract
The unique identifier of the user
The email address of the subscriber if provided
Pattern:
^[a-zA-Z0-9_.+-]+@[a-zA-Z0-9-]+\.[a-zA-Z0-9-.]+$The GitHub handle of the subscriber if provided
The Slack channel where contract violations will be sent
⌘I
Get all contract subscriptions
